metaHTML

# Class: htmlInputTextarea

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlInputTextarea

Prints the HTML code for a textarea.

### Methods

- __construct
- generateHTML
- setIsEnabled

### Child classes:

htmlTableExtendedInputTextarea
  Text area with label and help link.

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::OPTION_ALIGN

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 1212]
Prints the HTML code for a textarea.
[ Top ]

### Class Methods

### constructor __construct [line 1233]

`htmlInputTextarea __construct( String $name, String $value, int $colCount, int $rowCount)`

Constructor.

Overridden in child classes as:

htmlTableExtendedInputTextarea::__construct()
  Constructor.

#### Parameters:

String | $name | unique name
String | $value | value
int | $colCount | number of characters per line
int | $rowCount | number of rows

[ Top ]

### method generateHTML [line 1251]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overridden in child classes as:

htmlTableExtendedInputTextarea::generateHTML()
  Prints the HTML code for this element.

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setIsEnabled [line 1272]

`void setIsEnabled( boolean $isEnabled)`

Specifies if this component is enabled and accepts user modification.

#### Tags:

access: | public

#### Parameters:

boolean | $isEnabled | enabled if true

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:17 +0200 by phpDocumentor 1.4.1